QueryLocation (Resource Management Library 2.0.0-2.17.1 API)
Date: 2014-01-09

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | ENUM CONSTANTS | FIELD | METHOD | DETAIL: ENUM CONSTANTS | FIELD | METHOD

## org.gcube.resourcemanagement.support.server.gcube.queries
Enum QueryLocation

    java.lang.Object
      java.lang.Enum<QueryLocation>
          org.gcube.resourcemanagement.support.server.gcube.queries.QueryLocation

All Implemented Interfaces:
  Serializable, Comparable<QueryLocation>

    public enum QueryLocation

extends Enum<QueryLocation>

Keeps the association between an xquery and the path on which it can be retrieved.

Author:
  Daniele Strollo, Massimiliano Assante (ISTI-CNR)

Enum Constant Summary
`GET_GENERIC_RESOURCE_PLUGINS`
`GET_GENERIC_RESOURCE_TREE_MANAGER_PLUGINS`
`GET_RES_DETAILS_BYSUBTYPE`
`GET_RES_DETAILS_BYTYPE`
`GET_RESOURCE_BYID`
`GET_TREE_SUBTYPES`
`GET_TREE_TYPES`
`GET_WSRES_DETAILS_BYSUBTYPE`
`GET_WSRES_DETAILS_BYTYPE`
`GET_WSRES_TYPES`
`GET_WSRESOURCE_BYID`
`LIST_Collection`
`LIST_GenericResource`
`LIST_GHN`
`LIST_RELATED_GHN`
`LIST_RELATED_RETURN_GHN`
`LIST_RELATED_RETURN_RunningInstance`
`LIST_RELATED_RETURN_Service`
`LIST_RELATED_RunningInstance`
`LIST_RELATED_Service`
`LIST_RunningInstance`
`LIST_RuntimeResource`
`LIST_Service`
`LIST_VIEW`
`RETURN_Collection`
`RETURN_GenericResource`
`RETURN_GET_GENERIC_RESOURCE_PLUGINS`
`RETURN_GET_RES_DETAILS_BYSUBTYPE`
`RETURN_GET_RES_DETAILS_BYTYPE`
`RETURN_GET_WSRES_DETAILS_BYSUBTYPE`
`RETURN_GHN`
`RETURN_RunningInstance`
`RETURN_RuntimeResource`
`RETURN_Service`
`RETURN_SWEEPER_DEAD_GHN`
`RETURN_SWEEPER_EXPIRED_GHN`
`RETURN_SWEEPER_ORPHAN_RI`
`SWEEPER_DEAD_GHN`
`SWEEPER_EXPIRED_GHN`
`SWEEPER_ORPHAN_RI`

Method Summary
`InputStream` | `getFileName()`
`static QueryLocation` | `valueOf(String name)` Returns the enum constant of this type with the specified name.
`static QueryLocation[]` | `values()` Returns an array containing the constants of this enum type, in the order they are declared.

Methods inherited from class java.lang.Enum
`clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

Methods inherited from class java.lang.Object
`getClass, notify, notifyAll, wait, wait, wait`

Enum Constant Detail

### GET_TREE_TYPES

    public static final QueryLocation GET_TREE_TYPES

### GET_TREE_SUBTYPES

    public static final QueryLocation GET_TREE_SUBTYPES

### LIST_GHN

    public static final QueryLocation LIST_GHN

### RETURN_GHN

    public static final QueryLocation RETURN_GHN

### LIST_Collection

    public static final QueryLocation LIST_Collection

### RETURN_Collection

    public static final QueryLocation RETURN_Collection

### LIST_VIEW

    public static final QueryLocation LIST_VIEW

### LIST_Service

    public static final QueryLocation LIST_Service

### RETURN_Service

    public static final QueryLocation RETURN_Service

### LIST_GenericResource

    public static final QueryLocation LIST_GenericResource

### RETURN_GenericResource

    public static final QueryLocation RETURN_GenericResource

### LIST_RunningInstance

    public static final QueryLocation LIST_RunningInstance

### RETURN_RunningInstance

    public static final QueryLocation RETURN_RunningInstance

### LIST_RuntimeResource

    public static final QueryLocation LIST_RuntimeResource

### RETURN_RuntimeResource

    public static final QueryLocation RETURN_RuntimeResource

### GET_GENERIC_RESOURCE_PLUGINS

    public static final QueryLocation GET_GENERIC_RESOURCE_PLUGINS

### RETURN_GET_GENERIC_RESOURCE_PLUGINS

    public static final QueryLocation RETURN_GET_GENERIC_RESOURCE_PLUGINS

### GET_GENERIC_RESOURCE_TREE_MANAGER_PLUGINS

    public static final QueryLocation GET_GENERIC_RESOURCE_TREE_MANAGER_PLUGINS

### LIST_RELATED_GHN

    public static final QueryLocation LIST_RELATED_GHN

### LIST_RELATED_RETURN_GHN

    public static final QueryLocation LIST_RELATED_RETURN_GHN

### LIST_RELATED_RunningInstance

    public static final QueryLocation LIST_RELATED_RunningInstance

### LIST_RELATED_RETURN_RunningInstance

    public static final QueryLocation LIST_RELATED_RETURN_RunningInstance

### LIST_RELATED_Service

    public static final QueryLocation LIST_RELATED_Service

### LIST_RELATED_RETURN_Service

    public static final QueryLocation LIST_RELATED_RETURN_Service

### SWEEPER_EXPIRED_GHN

    public static final QueryLocation SWEEPER_EXPIRED_GHN

### RETURN_SWEEPER_EXPIRED_GHN

    public static final QueryLocation RETURN_SWEEPER_EXPIRED_GHN

### SWEEPER_DEAD_GHN

    public static final QueryLocation SWEEPER_DEAD_GHN

### RETURN_SWEEPER_DEAD_GHN

    public static final QueryLocation RETURN_SWEEPER_DEAD_GHN

### SWEEPER_ORPHAN_RI

    public static final QueryLocation SWEEPER_ORPHAN_RI

### RETURN_SWEEPER_ORPHAN_RI

    public static final QueryLocation RETURN_SWEEPER_ORPHAN_RI

### GET_RES_DETAILS_BYTYPE

    public static final QueryLocation GET_RES_DETAILS_BYTYPE

### RETURN_GET_RES_DETAILS_BYTYPE

    public static final QueryLocation RETURN_GET_RES_DETAILS_BYTYPE

### GET_RES_DETAILS_BYSUBTYPE

    public static final QueryLocation GET_RES_DETAILS_BYSUBTYPE

### RETURN_GET_RES_DETAILS_BYSUBTYPE

    public static final QueryLocation RETURN_GET_RES_DETAILS_BYSUBTYPE

### GET_RESOURCE_BYID

    public static final QueryLocation GET_RESOURCE_BYID

### GET_WSRES_TYPES

    public static final QueryLocation GET_WSRES_TYPES

### GET_WSRES_DETAILS_BYTYPE

    public static final QueryLocation GET_WSRES_DETAILS_BYTYPE

### GET_WSRES_DETAILS_BYSUBTYPE

    public static final QueryLocation GET_WSRES_DETAILS_BYSUBTYPE

### RETURN_GET_WSRES_DETAILS_BYSUBTYPE

    public static final QueryLocation RETURN_GET_WSRES_DETAILS_BYSUBTYPE

### GET_WSRESOURCE_BYID

    public static final QueryLocation GET_WSRESOURCE_BYID

Method Detail

### values

    public static QueryLocation[] values()

  Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

      for (QueryLocation c : QueryLocation.values())
          System.out.println(c);

  Returns:
    an array containing the constants of this enum type, in the order they are declared

### valueOf

    public static QueryLocation valueOf(String name)

  Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)

  Parameters:
    `name` - the name of the enum constant to be returned.
  Returns:
    the enum constant with the specified name
  Throws:
    `IllegalArgumentException` - if this enum type has no constant with the specified name
    `NullPointerException` - if the argument is null

### getFileName

    public InputStream getFileName()

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | ENUM CONSTANTS | FIELD | METHOD | DETAIL: ENUM CONSTANTS | FIELD | METHOD

Copyright © 2014. All Rights Reserved.